%global realname vkontakte

Name:		python-%{realname}
Version:	1.3.3
Release:	8%{?dist}
Summary:	vk.com (aka vkontakte.ru) API wrapper
Group:		Development/Languages
License:	MIT
URL:		https://pypi.python.org/pypi/vkontakte
Source0:	https://pypi.python.org/packages/source/v/%{realname}/%{realname}-%{version}.tar.gz
BuildRequires:	python2-devel
BuildRequires:	python2-setuptools
BuildArch:	noarch


%global _description\
This is a vk.com (aka vkontakte.ru, largest Russian social network) python API\
wrapper. The goal is to support all API methods (current and future) that can\
be accessed from server.\


%description %_description

%package -n python2-%{realname}
Summary: %summary
%{?python_provide:%python_provide python2-%{realname}}

%description -n python2-%{realname} %_description

%prep
%setup -q -n %{realname}-%{version}


%build
%py_build


%install
%py_install


%files -n python2-%{realname}
%license LICENSE.txt
%doc AUTHORS.txt README.rst
%{python_sitelib}/*



%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 31 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.3.3-7
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.3.3-6
- Python 2 binary package renamed to python2-vkontakte
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jan 28 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.3.3-1
- Ver. 1.3.3

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Oct 02 2012 Alexey Torkhov <atorkhov@gmail.com> - 1.3.2-1
- Update to 1.3.2

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 03 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.9.5-1
- Initial package

